CleanSpark Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cleanspark-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1775520000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.cleanspark.com/news/news-details/2026/CleanSpark-Releases-March-2026-Operational-Update/default.aspx",
    "holding_balance": 13561.0,
    "holding_net_change": 198.0,
    "transaction_value_usd": 14242262.76,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778025600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.cleanspark.com/news/news-details/2026/CleanSpark-Releases-April-2026-Operational-Update/default.aspx",
    "holding_balance": 13453.0,
    "holding_net_change": -108.0,
    "transaction_value_usd": 8795941.2,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1780531200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.cleanspark.com/news/news-details/2026/CleanSpark-Releases-May-2026-Operational-Update/default.aspx",
    "holding_balance": 13470.0,
    "holding_net_change": 17.0,
    "transaction_value_usd": 1083955.02,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    13470.0
  ],
  [
    1787011200000,
    13470.0
  ],
  [
    1787097600000,
    13470.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    846265411.8000001
  ],
  [
    1787011200000,
    868748458.1999999
  ],
  [
    1787097600000,
    871405954.5
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 11.27,
    "date": "2026-08-14",
    "high": 12.2,
    "open": 11.315,
    "close": 12.09,
    "volume": 19864400
  },
  {
    "low": 11.93,
    "date": "2026-08-17",
    "high": 12.545,
    "open": 12.03,
    "close": 12.4,
    "volume": 17991200
  },
  {
    "low": 11.49,
    "date": "2026-08-18",
    "high": 12.2015,
    "open": 12.12,
    "close": 11.73,
    "volume": 16657238
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.3,
  "quarterly_earnings_growth": 4.916,
  "eps_estimate_current_quarter": -0.3333
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -18.65,
  "six_month_return": 26.4,
  "three_month_return": -12.72
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cleanspark-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 27.4,
  "total_btc_percentage": 0.064,
  "share_price_change_state": "down"
}